%global _empty_manifest_terminate_build 0
%global common_desc Maybe the best chinese word segmentation software
Name:           jieba
Version:        0.42.1
Release:        1
Summary:        Chinese word segmentation software
License:        MIT
URL:            https://github.com/fxsjy/jieba
Source0:        https://github.com/fxsjy/jieba/archive/refs/tags/v0.42.1.tar.gz
BuildArch:      noarch
%description
Chinese Words Segmentation Utilities

%package -n python3-jieba
Summary:        Chinese Words Segmentation Utilities
Provides:       jieba
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-jieba
%{common_desc}

%prep
%autosetup -n jieba-%{version}

%build
%py3_build

%install
%py3_install


%files -n python3-jieba
%{python3_sitelib}/jieba/
%{python3_sitelib}/jieba-0.42.1-*.egg-info/

%changelog
* Tue Dec 6 2022 wqh17101 <597935261@qq.com> - 0.42.1-1
- Package Spec generate